<?php
  include("init.php");
  include("hlavicka.php");
  include("menu.php");

  print_r($_POST);
  function overPrijateData() {
    global $err;
    if (!isset($_POST['priezvisko'])) {  // ak som prišiel na stránku prvý krát (neposielam dáta)
      return false;
    }
    if (!isset($_POST['meno'])) {
      $err = "Meno musí byť vyplnené.";
      return false;
    }
    if (strlen($_POST['priezvisko']) < 2) {
      $err = "Priezvisko musí obsahovať aspoň 2 znaky.";
      return false;
    }
    if (strlen($_POST['priezvisko']) > 40) {
      $err = "Priezvisko musí obsahovať maximálne 40 znakov.";
      return false;
    }
    // atď - v domácej overujte všetko, čo dáva zmysel
    return true;
  }
  function vlozZiaka() {
    global $mysql, $err; // chcem vidiet globalnu premennu

    $insertSQL = "INSERT INTO ziak (meno, priezvisko, datum_narodenia, trieda, id_predmet, id_jazyk) VALUES (?, ?, ?, ?, ?, ?)";
    $insert = $mysql->prepare($insertSQL);
    if (! $insert){
      $err = "priprava insertu sa nepodarila: " . $mysql->error;
      return false;
    }
    if (!$insert->bind_param("ssssii", $_POST['meno'], 
                                       $_POST['priezvisko'],
                                       $_POST['narodenie'],
                                       $_POST['trieda'],
                                       $_POST['volitelny_predmet'],
                                       $_POST['jazyk'])) {
      $err = "Napojenie premenných sa nepodarilo: " . $mysql->error;
      return false;
    }
    if (! $insert->execute()) {
      $err = "Spustenie insertu sa nepodarilo: " . $mysql->error;
      return false;
    }
    $idZiak = $mysql->insert_id;
    $insertSQL = "INSERT INTO ziak_kruzok (id_ziak, id_kruzok) VALUES (?, ?)";
    $insert2 = $mysql->prepare($insertSQL);
    foreach($_POST['kruzky'] as $idKruzok) {
      $insert2->bind_param("ii", $idZiak, $idKruzok);
      $insert2->execute();
    }
  }

  if (overPrijateData()) {
    vlozZiaka();
  }
  
  if($err !== '') {
      print '<div class="alert alert-danger" role="alert">';
      print $err;
      print '</div>';
  }
?>
<h1 class="mt-5 mb-3">Prihlasovanie na výlet</h1>
    <form action="prihlasenie.php" method="post">
      <div class="form-group row">
        <label class="col-form-label col-sm-2" for="trieda">Trieda:</label>
        <div class="col-sm-10">
          <input type="text" class="form-control" id="trieda" placeholder="napr: 2.A" name="trieda">
        </div>
      </div>
      <div class="form-group row">
        <label class="col-form-label col-sm-2" for="meno">Meno:</label>
        <div class="col-sm-10">
          <input type="text" class="form-control" id="meno" placeholder="Napíšte meno" name="meno">
        </div>
      </div>
      <div class="form-group row">
        <label class="col-form-label col-sm-2" for="priezvisko">Priezvisko:</label>
        <div class="col-sm-10">
          <input type="text" class="form-control" id="priezvisko" placeholder="Napíšte priezvisko" name="priezvisko">
        </div>
      </div>
      <div class="form-group row">
        <label class="col-form-label col-sm-2" for="narodenie">Dátum narodenia:</label>
        <div class="col-sm-10">
          <input type="date" class="form-control" id="narodenie" placeholder="v tvare 2005-02-15" name="narodenie">
        </div>
      </div>
      <fieldset class="form-group">
        <div class="row">
          <legend class="col-form-label col-sm-2 pt-0">Voliteľný predmet:</legend>
          <div class="col-sm-10">
<?php
    $select = $mysql->query("SELECT id_predmet, nazov_predmetu FROM predmet ORDER BY nazov_predmetu");
    $predmety = $select->fetch_all(MYSQLI_ASSOC);
    foreach($predmety as $predmet) {
      echo '<div class="form-check">';
      echo '<label class="form-check-label">';
      echo '<input class="form-check-input" type="radio" name="volitelny_predmet" value="' . $predmet['id_predmet'] . '" checked>';
      echo $predmet['nazov_predmetu'];
      echo '</label>';
      echo '</div>';
    }
?>
          </div>
        </div>
      </fieldset>
      <div class="form-group row">
        <label class="col-form-label col-sm-2" for="jazyk">Druhý jazyk:</label>
        <div class="col-sm-10">
          <select name="jazyk" id="jazyk" class="form-control">
            <option value="0" selected>Vyberte možnosť</option>
<?php
  $select = $mysql->query("SELECT id_jazyk, nazov_jazyka FROM jazyk ORDER BY nazov_jazyka");
  $jazyky = $select->fetch_all(MYSQLI_ASSOC);
  foreach($jazyky as $jazyk) {
    echo '<option value="' . $jazyk['id_jazyk'] . '">' . $jazyk['nazov_jazyka'] . '</option>';
  }
?>
          </select>
        </div>
      </div>
      <div class="form-group row">
          <label class="col-form-label col-sm-2" for="kruzky">Krúžky (max. 2):</label>
          <div class="col-sm-10">
            <select name="kruzky[]" id="kruzky" class="form-control" multiple>
<?php
  $select = $mysql->query("SELECT id_kruzok, nazov_kruzku FROM kruzok ORDER BY nazov_kruzku");
  $kruzky = $select->fetch_all(MYSQLI_ASSOC);
  foreach($kruzky as $kruzok) {
    echo '<option value="' . $kruzok['id_kruzok'] . '">' . $kruzok['nazov_kruzku'] . '</option>';
  }
?>
            </select>
          </div>
        </div>
      <input type="submit" value="Odošli" class="btn btn-primary mb-3">
      <input type="reset" value="Reset" class="btn btn-secondary mb-3">
    </form>

<?php
include("paticka.php");
?>